<?php

function payment()
{
    $data = array(
        'merchantCode' => "merchantCode for shop",
        'callbackAddress' => "callbackAddress for website",
        'amount' => 1000,
    );

    $jsonData = json_encode($data);
    $url = 'https://www.yarpay.net/api/getIdentify';

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_USERAGENT, 'yarpay');
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
    curl_setopt($ch, CURLOPT_POSTFIELDS, $jsonData);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        'Content-Type: application/json'
    ));

    $result = curl_exec($ch);

    $err = curl_error($ch);
    $result = json_decode($result, true);
    curl_close($ch);


    if ($err) {
        echo "cURL Error #:" . $err;
    } else {
        if ($result["status"] == 200) {
            header('Location: https://www.yarpay.net/showPayment/' . $result["identify"]);
        } else {
            echo 'ERR: ' . $result["status"];
        }
    }
}


function verify()
{
    $identify = $_GET['identify'];
    $data = array(
        'merchantCode' => "merchantCode for shop",
        'identify' => $identify,
    );

    $jsonData = json_encode($data);
    $url = 'https://www.yarpay.net/api/getResult';

    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_USERAGENT, 'yarpay');
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
    curl_setopt($ch, CURLOPT_POSTFIELDS, $jsonData);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        'Content-Type: application/json'
    ));
    $result = curl_exec($ch);
    $err = curl_error($ch);
    curl_close($ch);
    $result = json_decode($result, true);


    if ($err) {
        echo "cURL Error #:" . $err;
    } else {
        if ($result['status'] == 200) {
            echo 'Transation success. status:' . $result['status'];

        } else {
            echo 'Transation failed. status:' . $result['status'];
        }
    }
}


